SimUpdate a SIM

Update a SIM

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `Sim` + `Update` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div> </Info> Updates a SIM resource. You can provide the following fields with this request: * `issuer_org` (Object optional) - change to a direct child organization of the appropriate type * `reseller_org` (Object optional) - change to a direct child organization of the appropriate type or empty (`"reseller_org": { "id": null }` or `"reseller_org": {}`) * `customer_org` (Object optional) - change to own organization or a direct child organization of type "Enterprise" or empty (`"customer_org": { "id": null }` or `"customer_org": {}`) * `status` (Object optional) - update the SIM status The following restrictions apply when updating SIMs: * Users from the issuer organization can change any updatable field * Users from the reseller organization can update the `reseller_org` or `customer_org` fields * Users from the customer organization can only update the `status` field * `issuer_org` can change to a child organization of the type "Mobile Network Operator" or "Service Provider" * `reseller_org` can change to child organization of the following types: "Mobile Network Operator", "Service Provider", or "Reseller" * `customer_org` can change to a child organization of an "Enterprise" type * `status` can update from "Issued" (`"id": 0`) to either "Activated" (`"id": 1`) or "Factory Test" (`"id": 4`) * `status` can only update from "Factory Test" (`"id": 4`) to "Activated" (`"id": 1`) * `status` can switch between "Activated" (`"id": 1`) and "Suspended" (`"id": 2`) <Warning> emnify charges for activated SIMs. To avoid accruing unexpected charges, update the SIM `status` to "Suspended" (`"id": 2`). </Warning>

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

sim_idintegerRequired
Numeric ID of a SIM

Request

This endpoint expects an object.
issuer_orgobjectRequired
reseller_orgobjectRequired
customer_orgobjectRequired
statusobjectRequired

Response

Successfully fulfilled the request with no additional content to send in the response payload body.

Errors

400
Bad Request Error
403
Forbidden Error